### Method

# Secret Retrievable retrieve_secret_finish

#### Declaration [src]

    SecretValue*
    secret_retrievable_retrieve_secret_finish (
      SecretRetrievable* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to retrieve the secret value of this object.

Available since: | 0.19.0

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretValue`
| The secret value which should be released with `secret_value_unref()`, or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.